Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl
Class QuartzServer

    java.lang.Object
      org.quartz.listeners.SchedulerListenerSupport
          org.quartz.impl.QuartzServer

All Implemented Interfaces:
  SchedulerListener

    public class QuartzServer

extends SchedulerListenerSupport

Instantiates an instance of Quartz Scheduler as a stand-alone program, if the scheduler is configured for RMI it will be made available.

The main() method of this class currently accepts 0 or 1 arguemtns, if there is an argument, and its value is `"console"`, then the program will print a short message on the console (std-out) and wait for the user to type "exit" - at which time the scheduler will be shutdown.

Future versions of this server should allow additional configuration for responding to scheduler events by allowing the user to specify ``JobListener``, ``TriggerListener`` and ``SchedulerListener`` classes.

Please read the Quartz FAQ entries about RMI before asking questions in the forums or mail-lists.

Author:
  James House

Method Summary
`static void` | `main(String[] args)`
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occured within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `serve(SchedulerFactory schedFact, boolean console)`

Methods inherited from class org.quartz.listeners.SchedulerListenerSupport
`getLog, jobAdded, jobDeleted, jobPaused, jobResumed, jobScheduled, jobsPaused, jobsResumed, jobUnscheduled, schedulerInStandbyMode, schedulerShuttingdown, schedulerStarted, schedulerStarting, schedulingDataCleared, triggerFinalized, triggerPaused, triggerResumed, triggersPaused, triggersResumed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serve

    public void serve(SchedulerFactory schedFact,
                      boolean console)
               throws Exception

  Throws:
    `Exception`

### schedulerError

    public void schedulerError(String msg,
                               SchedulerException cause)

  Called by the ``Scheduler`` when a serious error has occured within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

  Specified by:
    `schedulerError` in interface `SchedulerListener`
  Overrides:
    `schedulerError` in class `SchedulerListenerSupport`

### schedulerShutdown

    public void schedulerShutdown()

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

  Specified by:
    `schedulerShutdown` in interface `SchedulerListener`
  Overrides:
    `schedulerShutdown` in class `SchedulerListenerSupport`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.